SDL_GPUTextureSupportsFormat(3)

NAME
SDL_GPUTextureSupportsFormat - Determines whether a texture format is supported for a given type and usage.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GPUTextureSupportsFormat(
    SDL_GPUDevice *device,
    SDL_GPUTextureFormat format,
    SDL_GPUTextureType type,
    SDL_GPUTextureUsageFlags usage);

FUNCTION PARAMETERS

device
    a GPU context.

format
    the texture format to check.

type
    the type of texture (2D, 3D, Cube).

usage
    a bitmask of all usage scenarios to check.

RETURN VALUE
Returns whether the texture format is supported for this type and usage.

AVAILABILITY
This function is available since SDL 3.2.0.